Name:           libwebsockets
Version:        3.2.3
Release:        1%{?dist}ic
Summary:        A lightweight C library for Websockets

# base64-decode.c and ssl-http2.c is under MIT license with FPC exception.
# sha1-hollerbach is under BSD
# https://fedorahosted.org/fpc/ticket/546
# Test suite is licensed as Public domain (CC-zero)
License:        LGPLv2 and Public Domain and BSD and MIT and zlib
URL:            http://libwebsockets.org
Source0:        https://github.com/warmcat/libwebsockets/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz


BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  libuv-devel

Provides:       bundled(sha1-hollerbach)
Provides:       bundled(base64-decode)
Provides:       bundled(ssl-http2)

%description
This is the libwebsockets C library for lightweight websocket clients and
servers.

%package devel
Summary:        Headers for developing programs that will use %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       libuv-devel

%description devel
This package contains the header files needed for developing
%{name} applications.

%prep
%setup -q -n %{name}-%{version}

%build
mkdir -p build
cd build
%cmake \
    -D LWS_LINK_TESTAPPS_DYNAMIC=ON \
    -D LWS_WITH_LIBUV=ON \
    -D LWS_WITHOUT_BUILTIN_GETIFADDRS=ON \
    -D LWS_USE_BUNDLED_ZLIB=OFF \
    -D LWS_WITHOUT_BUILTIN_SHA1=ON \
    -D LWS_WITH_STATIC=OFF \
    -D LWS_IPV6=ON \
    -D LWS_WITH_HTTP2=OFF \
    -D LWS_WITHOUT_CLIENT=OFF \
    -D LWS_WITHOUT_SERVER=OFF \
    -D LWS_WITHOUT_TESTAPPS=ON \
    -D LWS_WITHOUT_TEST_SERVER=ON \
    -D LWS_WITHOUT_TEST_SERVER_EXTPOLL=ON \
    -D LWS_WITHOUT_TEST_PING=ON \
    -D LWS_WITHOUT_TEST_CLIENT=ON \
    ..
%make_build

%install
cd build
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'
find %{buildroot} -name '*.cmake' -exec rm -f {} ';'
find %{buildroot} -name '*_static.pc' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README.md changelog
%license LICENSE
%{_libdir}/%{name}.so.*

%files devel
%doc READMEs/README.coding.md READMEs/ changelog
%license LICENSE
%{_includedir}/*.h
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Jan 28 2021 Ganesh Murthy <gmurthy@redhat.com> - 3.2.3-1
- Rebased to 3.2.3

* Fri Jan 10 2020 Mike Cressman <mcressma@redhat.com> - 3.2.1-1
- Rebased to 3.2.1

* Tue Jan 29 2019 Irina Boverman <iboverma@redhat.com> - 3.0.1-1
- Rebased to 3.0.1

* Mon Oct  1 2018 Irina Boverman <iboverma@redhat.com> - 2.4.2-2
- Added multi-arches

* Thu Jun 28 2018 Irina Boverman <iboverma@redhat.com> - 2.4.2-1
- Rebase to 2.4.2

* Wed Jan  4 2017 Irina Boverman <iboverma@redhat.com> - 2.1.0-3
- Added patches from  https://github.com/alanconway/libwebsockets.git

* Wed Nov 30 2016 Irina Boverman <iboverma@redhat.com> - 2.1.0-2
- Initial build for AMQ Interconnect
